Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.io
Interface ObjectStreamConstants

All Known Implementing Classes:
  ObjectInputStream, ObjectOutputStream

public interface ObjectStreamConstants

Constants written into the Object Serialization Stream.

Since:
  JDK 1.1

Field Summary
`static int` | `baseWireHandle` First wire handle to be assigned.
`static int` | `PROTOCOL_VERSION_1` A Stream Protocol Version.
`static int` | `PROTOCOL_VERSION_2` A Stream Protocol Version.
`static byte` | `SC_BLOCK_DATA` Bit mask for ObejctStreamClass flag.
`static byte` | `SC_EXTERNALIZABLE` Bit mask for ObjectStreamClass flag.
`static byte` | `SC_SERIALIZABLE` Bit mask for ObjectStreamClass flag.
`static byte` | `SC_WRITE_METHOD` Bit mask for ObjectStreamClass flag.
`static short` | `STREAM_MAGIC` Magic number that is written to the stream header.
`static short` | `STREAM_VERSION` Version number that is written to the stream header.
`static SerializablePermission` | `SUBCLASS_IMPLEMENTATION_PERMISSION` Enable overriding of readObject and writeObject.
`static SerializablePermission` | `SUBSTITUTION_PERMISSION` Enable substitution of one object for another during serialization/deserialization.
`static byte` | `TC_ARRAY` new Array.
`static byte` | `TC_BASE` First tag value.
`static byte` | `TC_BLOCKDATA` Block of optional data.
`static byte` | `TC_BLOCKDATALONG` long Block data.
`static byte` | `TC_CLASS` Reference to Class.
`static byte` | `TC_CLASSDESC` new Class Descriptor.
`static byte` | `TC_ENDBLOCKDATA` End of optional block data blocks for an object.
`static byte` | `TC_EXCEPTION` Exception during write.
`static byte` | `TC_LONGSTRING` Long string.
`static byte` | `TC_MAX` Last tag value.
`static byte` | `TC_NULL` Null object reference.
`static byte` | `TC_OBJECT` new Object.
`static byte` | `TC_PROXYCLASSDESC` new Proxy Class Descriptor.
`static byte` | `TC_REFERENCE` Reference to an object already written into the stream.
`static byte` | `TC_RESET` Reset stream context.
`static byte` | `TC_STRING` new String.

Field Detail

### STREAM_MAGIC

    public static final short STREAM_MAGIC

  Magic number that is written to the stream header.

### STREAM_VERSION

    public static final short STREAM_VERSION

  Version number that is written to the stream header.

### TC_BASE

    public static final byte TC_BASE

  First tag value.

### TC_NULL

    public static final byte TC_NULL

  Null object reference.

### TC_REFERENCE

    public static final byte TC_REFERENCE

  Reference to an object already written into the stream.

### TC_CLASSDESC

    public static final byte TC_CLASSDESC

  new Class Descriptor.

### TC_OBJECT

    public static final byte TC_OBJECT

  new Object.

### TC_STRING

    public static final byte TC_STRING

  new String.

### TC_ARRAY

    public static final byte TC_ARRAY

  new Array.

### TC_CLASS

    public static final byte TC_CLASS

  Reference to Class.

### TC_BLOCKDATA

    public static final byte TC_BLOCKDATA

  Block of optional data. Byte following tag indicates number of bytes in this block data.

### TC_ENDBLOCKDATA

    public static final byte TC_ENDBLOCKDATA

  End of optional block data blocks for an object.

### TC_RESET

    public static final byte TC_RESET

  Reset stream context. All handles written into stream are reset.

### TC_BLOCKDATALONG

    public static final byte TC_BLOCKDATALONG

  long Block data. The long following the tag indicates the number of bytes in this block data.

### TC_EXCEPTION

    public static final byte TC_EXCEPTION

  Exception during write.

### TC_LONGSTRING

    public static final byte TC_LONGSTRING

  Long string.

### TC_PROXYCLASSDESC

    public static final byte TC_PROXYCLASSDESC

  new Proxy Class Descriptor.

### TC_MAX

    public static final byte TC_MAX

  Last tag value.

### baseWireHandle

    public static final int baseWireHandle

  First wire handle to be assigned.

### SC_WRITE_METHOD

    public static final byte SC_WRITE_METHOD

  Bit mask for ObjectStreamClass flag. Indicates a Serializable class defines its own writeObject method.

### SC_BLOCK_DATA

    public static final byte SC_BLOCK_DATA

  Bit mask for ObejctStreamClass flag. Indicates Externalizable data written in Block Data mode. Added for PROTOCOL_VERSION_2.
  See Also:
    `PROTOCOL_VERSION_2`
  Since:
    1.2

### SC_SERIALIZABLE

    public static final byte SC_SERIALIZABLE

  Bit mask for ObjectStreamClass flag. Indicates class is Serializable.

### SC_EXTERNALIZABLE

    public static final byte SC_EXTERNALIZABLE

  Bit mask for ObjectStreamClass flag. Indicates class is Externalizable.

### SUBSTITUTION_PERMISSION

    public static final SerializablePermission SUBSTITUTION_PERMISSION

  Enable substitution of one object for another during serialization/deserialization.
  See Also:
    `ObjectOutputStream.enableReplaceObject(boolean)`, `ObjectInputStream.enableResolveObject(boolean)`
  Since:
    1.2

### SUBCLASS_IMPLEMENTATION_PERMISSION

    public static final SerializablePermission SUBCLASS_IMPLEMENTATION_PERMISSION

  Enable overriding of readObject and writeObject.
  See Also:
    `ObjectOutputStream.writeObjectOverride(Object)`, `ObjectInputStream.readObjectOverride()`
  Since:
    1.2

### PROTOCOL_VERSION_1

    public static final int PROTOCOL_VERSION_1

  A Stream Protocol Version.

  All externalizable data is written in JDK 1.1 external data format after calling this method. This version is needed to write streams containing Externalizable data that can be read by pre-JDK 1.1.6 JVMs.

  See Also:
    `ObjectOutputStream.useProtocolVersion(int)`
  Since:
    1.2

### PROTOCOL_VERSION_2

    public static final int PROTOCOL_VERSION_2

  A Stream Protocol Version.

  This protocol is written by JVM 1.2. Externalizable data is written in block data mode and is terminated with TC_ENDBLOCKDATA. Externalizable classdescriptor flags has SC_BLOCK_DATA enabled. JVM 1.1.6 and greater can read this format change. Enables writing a nonSerializable class descriptor into the stream. The serialVersionUID of a nonSerializable class is set to 0L.

  See Also:
    `ObjectOutputStream.useProtocolVersion(int)`, `SC_BLOCK_DATA`
  Since:
    1.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.